Bug 1832729 - perl-perl5i-2.13.2-14.fc33 FTBFS: Couldn't find declarator 'func' at /usr/lib64/perl5/vendor_perl/Devel/Declare/Context/Simple.pm line 47.
Summary: perl-perl5i-2.13.2-14.fc33 FTBFS: Couldn't find declarator 'func' at /usr/lib...
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-perl5i
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Paul Howarth
QA Contact: Fedora Extras Quality Assurance
URL: https://koschei.fedoraproject.org/pac...
Whiteboard:
Depends On:
Blocks: F33FTBFS 1852232
TreeView+ depends on / blocked
 
Reported: 2020-05-07 08:07 UTC by Petr Pisar
Modified: 2020-08-23 14:46 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-08-23 14:46:29 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
CPAN 131226 None None None 2020-05-07 08:07:44 UTC
Github evalEmpire perl5i issues 307 None open Test suite failing with recent Devel::Declare 2020-08-23 14:45:12 UTC

Description Petr Pisar 2020-05-07 08:07:45 UTC
perl-perl5i-2.13.2-14.fc33 fails to build in Fedora 33 because tests fail:

t/Meta/linear_isa.t .......... ok
Couldn't find declarator 'func' at /usr/lib64/perl5/vendor_perl/Devel/Declare/Context/Simple.pm line 47.
	Devel::Declare::Context::Simple::skip_declarator(perl5i::2::Signatures=HASH(0x563bf587ae10)) called at /usr/lib64/perl5/vendor_perl/Devel/Declare/MethodInstaller/Simple.pm line 62
	Devel::Declare::MethodInstaller::Simple::parser(perl5i::2::Signatures=HASH(0x563bf587ae10), "func", 4, 1) called at /usr/lib64/perl5/vendor_perl/Devel/Declare/MethodInstaller/Simple.pm line 25
	Devel::Declare::MethodInstaller::Simple::__ANON__("func", 4) called at /usr/lib64/perl5/vendor_perl/Devel/Declare.pm line 277
	Devel::Declare::linestr_callback("const", "func", 4) called at t/Meta/methods.t line 115
t/Meta/methods.t ............. 
Dubious, test returned 255 (wstat 65280, 0xff00)
No subtests run 
[...]
Test Summary Report
-------------------
t/Meta/methods.t           (Wstat: 65280 Tests: 0 Failed: 0)
  Non-zero exit status: 255
  Parse errors: No plan found in TAP output
t/command_line_wrapper.t   (Wstat: 65280 Tests: 0 Failed: 0)
  Non-zero exit status: 255
  Parse errors: No plan found in TAP output
t/each.t                   (Wstat: 65280 Tests: 0 Failed: 0)
  Non-zero exit status: 255
  Parse errors: No plan found in TAP output
t/everything_is_an_object.t (Wstat: 0 Tests: 2 Failed: 0)
  TODO passed:   2
t/foreach.t                (Wstat: 65280 Tests: 0 Failed: 0)
  Non-zero exit status: 255
  Parse errors: No plan found in TAP output
t/map.t                    (Wstat: 65280 Tests: 0 Failed: 0)
  Non-zero exit status: 255
  Parse errors: No plan found in TAP output
t/pick.t                   (Wstat: 65280 Tests: 0 Failed: 0)
  Non-zero exit status: 255
  Parse errors: No plan found in TAP output
t/signature.t              (Wstat: 65280 Tests: 0 Failed: 0)
  Non-zero exit status: 255
  Parse errors: No plan found in TAP output
t/signatures.t             (Wstat: 65280 Tests: 0 Failed: 0)
  Non-zero exit status: 255
  Parse errors: No plan found in TAP output
Files=101, Tests=1016, 36 wallclock secs ( 0.34 usr  0.17 sys + 25.49 cusr  3.11 csys = 29.11 CPU)
Result: FAIL
Failed 8/101 test programs. 0/1016 subtests failed.

A difference between a passing and failing build root is at <https://koschei.fedoraproject.org/build/8286865>. This failure is probably triggered by upgrading perl-Devel-Declare from 0.006019-16.fc33 to 0.006022-1.fc33.

Comment 1 Fedora Admin user for bugzilla script actions 2020-08-05 09:25:51 UTC
This package has changed maintainer in the Fedora.
Reassigning to the new maintainer of this component.

Comment 2 Ben Cotton 2020-08-11 13:26:23 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 33 development cycle.
Changing version to 33.

Comment 3 Paul Howarth 2020-08-23 14:46:29 UTC
This package has now been retired for Fedora 33 onwards.


Note You need to log in before you can comment on or make changes to this bug.